<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\DTO;

final class ToolCall {
  public function __construct(
    public string $id,
    public string $name,
    public array|string $arguments,
    public array $raw = []
  ) {
  }
}
